Bug 804918 - Pressing SHIFT+F11 (Full screen) leads to a system crash.
Pressing SHIFT+F11 (Full screen) leads to a system crash.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
16
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Jérôme Glisse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 03:39 EDT by kuchiman
Modified: 2013-02-13 09:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 09:59:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description kuchiman 2012-03-20 03:39:01 EDT
Deployed on their equipment oVirt. For all infrastructure components used by Fedora 16. Installation was carried out from the official repository of the project, set to manual. The machine with which is connected to the console has two identical monitors. Connecting to the virtual machine's console is no problem. But when you try to open a console window to full screen (shift + f11), you first change the resolution of screens, and then everything hangs. You have to reboot.

Version-Release number of selected component (if applicable):
spice-xpi-2.7-2.fc16.x86_64
firefox-11.0-1.fc16.x86_64

How reproducible:


Steps to Reproduce:
1.Enter the management interface oVirt.
2.Start the virtual machine.
3.Connect to the console using the corresponding interface element oVirt.
4.Pressing SHIFT+F11
  
Actual results:
The distortion of the image on the screen and system hang.

Expected results:
Console is deployed on one of the monitors.

Additional info:
Comment 1 Hans de Goede 2012-03-20 04:26:49 EDT
Can you clarify things a bit please, when you say: "and then everything hangs.", do you mean
that the client machine hangs. Or does the vm crash? IOW do you need to reboot the client,
or do you need to reboot the vm (or both) ?
Comment 2 kuchiman 2012-03-20 06:20:09 EDT
I mean, it freezes the client machine. With server virtualization and virtual machines, neither of which is not happening.
Comment 3 Hans de Goede 2012-04-11 05:24:42 EDT
(In reply to comment #2)
> I mean, it freezes the client machine. With server virtualization and virtual
> machines, neither of which is not happening.

This sounds like the resolution changing spicec does when going fullscreen is tripping a bug in the driver for your graphics card / gpu. What sort of gpu is the machine using?

Note that for Fedora-17 we've switched from spicec to the gtk based remote-viewer spice client, which no longer does any resolution switching, so you should not see this problem with Fedora-17.
Comment 4 Peter Hatina 2012-04-16 04:42:50 EDT
I suggest to close this one. It does not affect spice-xpi at all.
Comment 5 Hans de Goede 2012-04-16 05:31:36 EDT
(In reply to comment #4)
> I suggest to close this one. It does not affect spice-xpi at all.

Peter, kuchiman is experiencing a  real bug, just not in spice. As soon as we know what gpu he is using I'll change the component to the correct xorg-x11-drv-* package.
Comment 6 kuchiman 2012-04-17 05:55:25 EDT
# lspci | grep ATI
07:00.0 VGA compatible controller: ATI Technologies Inc Device 710f
07:00.1 Display controller: ATI Technologies Inc Device 712f

Graphics card from ATI and free the driver from the main repository. I tried to reproduce the error with a single monitor. An error does not occur.

I do not know how to get more information about the graphics card.
Comment 7 Peter Hatina 2012-04-23 03:25:31 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > I suggest to close this one. It does not affect spice-xpi at all.
> 
> Peter, kuchiman is experiencing a  real bug, just not in spice. As soon as we
> know what gpu he is using I'll change the component to the correct
> xorg-x11-drv-* package.

Hans, I share your attitude -- maybe, I wasn't so clear.
Comment 8 Fedora End Of Life 2013-01-16 09:02:49 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Fedora End Of Life 2013-02-13 09:59:56 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.